import os
import re
import time
import numpy as np
import igraph as ig
import matplotlib.pyplot as plt
import pandas as pd

home = '/users/nick/dropbox/joint_projects/GAPP/QJPS_ReplicationPackage_EGPR/'

os.chdir(home + '/2_code/libraries/import_edgelists')
import import_edgelists

graphs = import_edgelists.run_import()

town_names = ["3221",
              "7018",
              "3168",
              "7296",
              "8785",
              "9849",
              "7350",
              "3936",
              "9716",
              "8640",
              "7764",
              "2718",
              "6360",
              "6040",
              "3713",
              "6358"]


for idx, t in enumerate(town_names):
    g = graphs[t]['union']
    layout = g.layout("drl")
    gplot = ig.plot(g, layout=layout, 
                    vertex_size=5,
                    edge_width=1,
                    vertex_color='lightblue')
    gplot.save(f'3_results/town_{idx}.pdf')
                                
                