############################
# Code to test coordination game.
############################

import os
os.chdir('/users/nick/dropbox/joint_projects/GAPP/QJPS_ReplicationPackage_EGPR/2_code/libraries/coordination_model_folder')
import coordination_model as cm
import igraph as ig
import numpy.random as npr
import numpy as np
# Now put in a line and look at how things move down the line. 
a = ig.Graph()
a.add_vertices(range(10))
a.add_edges([(i, i+1) for i in range(9)])
    
# Gonna run with seed, so make sure I know what initial betas will be created. 
npr.seed(41)
test = npr.normal(loc = 0.75, scale=0.4, size=10)
assert (abs(test - np.array([ 0.64171507,  0.79193922,  0.85021113,  
                              0.37992001, 0.97685746,  0.33392791,
                              0.68852962,  1.06594072,  0.25951366,  
                              0.3707972 ])) < 0.01).all()

# Should start with node 7. Will spread one to left, but not to right. 
results = cm.run_coordination_simulation(a, num_runs = 1, convergence=True,
                                 convergence_threshold=0.01, 
                                 convergence_period=3,
                                 convergence_max_steps=20,
                                 beta_mean=0.75, beta_std=0.4,
                                 np_seed=41, debug=True) 
print(results)

cm.test_suite()


